Subject: Re: [PATCH] blame.c: prepare_lines should not call xrealloc for every line

From: David Kastrup <[email-masked]>
Date: Wed, 05 Feb 2014 10:22:18 +0100

Junio C Hamano <[email-masked]> writes:

> which I think is the prevalent style in our codebase.  The same for
> the other loop we see in the new code below.
>
>  - avoid assignments in conditionals when you do not have to.

commit a77a48c259d9adbe7779ca69a3432e493116b3fd
Author: Junio C Hamano <[email-masked]>
Date:   Tue Jan 28 13:55:59 2014 -0800

    combine-diff: simplify intersect_paths() further
[...]

+       while ((p = *tail) != NULL) {

Because we can.

At any rate, I am not going to put any more work into this patch as it
is decidedly not worth the bad taste this discussion leaves in my mouth.
And I don't want any code marked as written by me that does not
correspond to what I'd be willing to write.  So please make sure to put
any rewrites in a separate commit with different authorship.

Thanks

-- 
David Kastrup